Loading...
Searching...
No Matches
coap_netif.c File Reference

CoAP Netif handling functions. More...

`#include "coap3/coap_internal.h"`
`#include "coap3/coap_session_internal.h"`
Include dependency graph for coap_netif.c:

Go to the source code of this file.

## Functions

int | coap_netif_available (coap_session_t *session)
| Function interface to check whether netif for session is still available.
ssize_t | coap_netif_dgrm_read (coap_session_t *session, coap_packet_t *packet)
| Function interface for layer data datagram receiving for sessions.
ssize_t | coap_netif_dgrm_write (coap_session_t *session, const uint8_t *data, size_t datalen)
| Function interface for netif datagram data transmission.
ssize_t | coap_netif_strm_read (coap_session_t *session, uint8_t *data, size_t datalen)
| Function interface for layer data stream receiving.
ssize_t | coap_netif_strm_write (coap_session_t *session, const uint8_t *data, size_t datalen)
| Function interface for netif stream data transmission.
void | coap_netif_close (coap_session_t *session)
| Layer function interface for Netif close for a session.

## Detailed Description

CoAP Netif handling functions.

Definition in file coap_netif.c.